Bug 611825 - Proxy password field in stage2 is clear text
Proxy password field in stage2 is clear text
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ales Kozumplik
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 11:13 EDT by Alexander Todorov
Modified: 2014-09-30 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-13.21.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of modify repository dialog (25.30 KB, image/png)
2010-07-06 11:13 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2010-07-06 11:13:51 EDT
Created attachment 429806 [details]
screenshot of modify repository dialog

Description of problem:
In stage2 at the repository settings dialog the Proxy password field is clear text and the password is visible to anyone. In contrast in loader the proxy password field shows black dots/stars instead of the actual password. See screenshot.

Version:
anaconda-13.21.56-1.el6.x86_64
Comment 3 Ales Kozumplik 2010-10-11 02:53:41 EDT
Rawhide commit:
44291bb687a7f1575e447da2879b5b5d6c6ce3ed
Comment 4 RHEL Product and Program Management 2010-10-29 17:30:46 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 5 Ales Kozumplik 2010-12-03 11:16:45 EST
Fixed by bd503ba0d62cb892dceaf71d7389b0b0dab06725.
Comment 7 Alexander Todorov 2011-02-16 06:54:02 EST
In anaconda-13.21.97-1.el6.x86_64 the Proxy password field is not clear text anymore.
Comment 8 errata-xmlrpc 2011-05-19 08:30:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html

Note You need to log in before you can comment on or make changes to this bug.